Bug 180959 - [PATCH] x11/x3270: update to 3.3.12
Summary: [PATCH] x11/x3270: update to 3.3.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-31 03:30 UTC by nemysis
Modified: 2013-10-15 17:00 UTC (History)
1 user (show)

See Also:


Attachments
x3270-3.3.12.patch (1.81 KB, patch)
2013-07-31 03:30 UTC, nemysis
no flags Details | Diff
x3270.diff (2.43 KB, patch)
2013-10-14 13:46 UTC, Rusmir Dusko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-07-31 03:30:00 UTC
- Update to 3.3.12
- Fix manual pages
- Add docs and examples
- Add DOCS and EXAMPLES Option

Port maintainer (ecrist@secure-computing.net) is cc'd.

Generated and tested manually, sent with FreeBSD Port Tools 0.99_8 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-07-31 03:30:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-07-31 03:30:12 UTC
Maintainer of x11/x3270,

Please note that PR ports/180959 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180959

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Rusmir Dusko freebsd_committer 2013-10-14 00:08:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

I'll take it.
Comment 4 Rusmir Dusko freebsd_committer 2013-10-14 13:46:35 UTC
- Update to 3.3.13
- Change master sites
- Support STAGEDIR
- Add DOCS and EXAMPLES and Options
- Change MAN


Build log

https://redports.org/buildarchive/20131014114400-26039/
Comment 5 Eric F Crist 2013-10-14 14:31:11 UTC
Looks good to me!

-----
Eric F Crist



On Oct 14, 2013, at 07:46:35, nemysis <nemysis@FreeBSD.org> wrote:

> - Update to 3.3.13
> - Change master sites
> - Support STAGEDIR
> - Add DOCS and EXAMPLES and Options
> - Change MAN
> 
> 
> Build log
> 
> https://redports.org/buildarchive/20131014114400-26039/
> <x3270.diff>
Comment 6 Rusmir Dusko freebsd_committer 2013-10-14 15:25:33 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 7 Rusmir Dusko freebsd_committer 2013-10-15 16:43:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2013-10-15 16:54:00 UTC
Author: nemysis
Date: Tue Oct 15 15:53:46 2013
New Revision: 330403
URL: http://svnweb.freebsd.org/changeset/ports/330403

Log:
  - Update to 3.3.13
  - Change master sites
  - Support STAGEDIR
  - Add DOCS and EXAMPLES and Options
  - Change MAN
  
  PR:		ports/180959
  Submitted by:	nemysis (self)
  Approved by:	wg/pawel (mentors), maintainer

Modified:
  head/x11/x3270/Makefile
  head/x11/x3270/distinfo   (contents, props changed)
  head/x11/x3270/pkg-plist   (contents, props changed)

Modified: head/x11/x3270/Makefile
==============================================================================
--- head/x11/x3270/Makefile	Tue Oct 15 14:23:29 2013	(r330402)
+++ head/x11/x3270/Makefile	Tue Oct 15 15:53:46 2013	(r330403)
@@ -2,10 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	x3270
-PORTVERSION=	3.3.10
+PORTVERSION=	3.3.13
 CATEGORIES=	x11 net
-MASTER_SITES=	http://x3270.bgp.nu/download/
-EXTRACT_SUFX=	ga5-src.tgz
+MASTER_SITES=	http://x3270.bgp.nu/download/current/
+EXTRACT_SUFX=	ga7-src.tgz
 
 MAINTAINER=	ecrist@secure-computing.net
 COMMENT=	3270 Terminal emulator
@@ -33,14 +33,27 @@ MAKE_ARGS+=	COMPRESSMANCMD="${DO_NADA}" 
 		INSTDATFLAGS="${_SHROWNGRP} -m ${SHAREMODE}" \
 		INSTMANFLAGS="${_MANOWNGRP} -m ${MANMODE}"
 
-WRKSRC=		${WRKDIR}/x3270-${PORTVERSION:R}
-MAN1=		x3270.1 x3270if.1 x3270-script.1
-MAN5=		ibm_hosts.5
-MANCOMPRESSED=	no
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:R}
+
+PORTDOCS=	README README.dbcs
+PORTEXAMPLES=	*
+
+OPTIONS_DEFINE=	DOCS EXAMPLES
 
-NO_STAGE=	yes
 post-patch:
 	${REINPLACE_CMD} -e 's|\$$(INSTALL) -c|$$(INSTALL) $$(INSTALLFLAGS)|g' \
 		${WRKSRC}/Imakefile.in
 
+post-install:
+.for m in x3270-script.man x3270.man x3270if.man
+	@(cd ${WRKSRC} ; ${INSTALL_MAN} ${m} ${STAGEDIR}${MAN1PREFIX}/man/man1/)
+.endfor
+	${INSTALL_MAN} ${WRKSRC}/ibm_hosts.man ${STAGEDIR}${MAN5PREFIX}/man/man5/
+
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
+
+	@(cd ${WRKSRC}/Examples && ${COPYTREE_SHARE} . ${STAGEDIR}${EXAMPLESDIR})
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} html ${STAGEDIR}${EXAMPLESDIR})
+
 .include <bsd.port.mk>

Modified: head/x11/x3270/distinfo
==============================================================================
--- head/x11/x3270/distinfo	Tue Oct 15 14:23:29 2013	(r330402)
+++ head/x11/x3270/distinfo	Tue Oct 15 15:53:46 2013	(r330403)
@@ -1,2 +1,2 @@
-SHA256 (x3270-3.3.10ga5-src.tgz) = 7c13f227aa49cbc6447e97e22feb9397da89687dd3c667271d640378e7f40fd1
-SIZE (x3270-3.3.10ga5-src.tgz) = 1318945
+SHA256 (x3270-3.3.13ga7-src.tgz) = a8c6bc9d410e9aa837a2a427f978597fdba135abef0e300cc4531aed6ca45a94
+SIZE (x3270-3.3.13ga7-src.tgz) = 1354917

Modified: head/x11/x3270/pkg-plist
==============================================================================
--- head/x11/x3270/pkg-plist	Tue Oct 15 14:23:29 2013	(r330402)
+++ head/x11/x3270/pkg-plist	Tue Oct 15 15:53:46 2013	(r330403)
@@ -18,6 +18,10 @@ lib/X11/fonts/local/3270gt32.pcf.gz
 lib/X11/fonts/local/3270gt32b.pcf.gz
 lib/X11/fonts/local/3270gt8.pcf.gz
 lib/X11/fonts/local/3270h.pcf.gz
+man/man1/x3270-script.man.gz
+man/man1/x3270.man.gz
+man/man1/x3270if.man.gz
+man/man5/ibm_hosts.man.gz
 @exec /bin/chmod u+w %D/lib/X11/fonts/local %D/lib/X11/fonts/local/fonts.dir
 @exec %D/bin/mkfontdir %D/lib/X11/fonts/local
 @exec /bin/chmod u=rwx,go=rx %D/lib/X11/fonts/local
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"